Package org.italiangrid.voms.request.impl

# Class DefaultVOMSServerInfoStore.Builder

java.lang.Object
org.italiangrid.voms.request.impl.DefaultVOMSServerInfoStore.Builder

Enclosing class:
  `DefaultVOMSServerInfoStore`

public static class DefaultVOMSServerInfoStore.Builder extends Object
Creates a `DefaultVOMSServerInfoStore`. The `DefaultVOMSServerInfoStore` parameters can be set with the appropriate methods. Example:

     {
       @code
       VOMSServerInfoStore serverInfoStore = new DefaultVOMSServerInfoStore.Builder()
         .storeListener(storeListener).vomsesPaths(vomsesLocations).build();
     };

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`DefaultVOMSServerInfoStore`
`build()`
Builds the `DefaultVOMSServerInfoStore`
`DefaultVOMSServerInfoStore.Builder`
`lookupStrategy(VOMSESLookupStrategy strategy)`
Sets the `VOMSESLookupStrategy` that will be used to lookup vomses information for the `DefaultVOMSServerInfoStore` that this builder is creating
`DefaultVOMSServerInfoStore.Builder`
`storeListener(VOMSServerInfoStoreListener l)`
Sets the `VOMSServerInfoStoreListener` that will receive store-related notifications for the `DefaultVOMSServerInfoStore` that this builder is creating
`DefaultVOMSServerInfoStore.Builder`
`vomsesParser(VOMSESParser p)`
Sets the `VOMSESParser` implementation that will be used to parse vomses files
`DefaultVOMSServerInfoStore.Builder`
`vomsesPaths(List<String> paths)`
Sets a list of paths where vomses files will be looked up by the `DefaultVOMSServerInfoStore` that this builder is creating

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### lookupStrategy

public DefaultVOMSServerInfoStore.Builder lookupStrategy(VOMSESLookupStrategy strategy)
Sets the `VOMSESLookupStrategy` that will be used to lookup vomses information for the `DefaultVOMSServerInfoStore` that this builder is creating

Parameters:
  `strategy` - The strategy that will be used to lookup vomses information
Returns:
  this `DefaultVOMSServerInfoStore.Builder` instance

### storeListener

public DefaultVOMSServerInfoStore.Builder storeListener(VOMSServerInfoStoreListener l)
Sets the `VOMSServerInfoStoreListener` that will receive store-related notifications for the `DefaultVOMSServerInfoStore` that this builder is creating

Parameters:
  `l` - the listener
Returns:
  this `DefaultVOMSServerInfoStore.Builder` instance

### vomsesParser

public DefaultVOMSServerInfoStore.Builder vomsesParser(VOMSESParser p)
Sets the `VOMSESParser` implementation that will be used to parse vomses files

Parameters:
  `p` - the parser
Returns:
  this `DefaultVOMSServerInfoStore.Builder` instance

### vomsesPaths

public DefaultVOMSServerInfoStore.Builder vomsesPaths(List<String> paths)
Sets a list of paths where vomses files will be looked up by the `DefaultVOMSServerInfoStore` that this builder is creating

Parameters:
  `paths` - a list of paths
Returns:
  this `DefaultVOMSServerInfoStore.Builder` instance

### build

public DefaultVOMSServerInfoStore build()
Builds the `DefaultVOMSServerInfoStore`

Returns:
  a `DefaultVOMSServerInfoStore` configured as required by this builder